UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 30643

10.1 EDK - "ERROR:: Cannot locate library chipscope_plbv46_iba_v1_01_a"

Description

When I run compedklib to compile all of the ISE and EDK libraries, I receive the following error messages:

"ERROR:: Cannot locate library chipscope_plbv46_iba_v1_01_a

ERROR:: File implied by chipscope_plbv46_iba.vhd in logical library chipscope_plbv46_iba_v1_01_a in PAO file C:\Xilinx\10.1\EDK\hw\XilinxProcessorIPLib\pcores/chipscope_plbv46_iba_v1_01_a/data/chipscope_plbv46_iba_v2_1_0.pao not found.

Compiling jtagppc_cntlr_v2_00_a"

Solution

One of the ChipScope files is misnamed. Go to:

C:\Xilinx\10.1\EDK\hw\XilinxProcessorIPLib\pcores\chipscope_plbv46_iba_v1_01_a\simhdl\vhdl

and change the file name from:

chipscope_plb46_iba.vhd

to:

chipscope_plbv46_iba.vhd

This problem has been fixed in the latest 10.1 Service Pack available at:

http://www.xilinx.com/support/download/index.htm

The first service pack containing the fix is 10.1 Service Pack 2.

AR# 30643
Date Created 04/01/2008
Last Updated 12/15/2012
Status Active
Type General Article